import request from "@/utils/request";

// 查询政府网站列表
export function listWeb(query) {
  return request({
    url: "/zongzhi/web/list",
    method: "get",
    params: query,
  });
}

// 查询政府网站详细
export function getWeb(id) {
  return request({
    url: "/zongzhi/web/" + id,
    method: "get",
  });
}

// 新增政府网站
export function addWeb(data) {
  return request({
    url: "/zongzhi/web",
    method: "post",
    data: data,
  });
}

// 修改政府网站
export function updateWeb(data) {
  return request({
    url: "/zongzhi/web",
    method: "put",
    data: data,
  });
}

// 删除政府网站
export function delWeb(id) {
  return request({
    url: "/zongzhi/web/" + id,
    method: "delete",
  });
}

// 导出政府网站
export function exportWeb(data) {
  return request({
    url: "/zongzhi/web/export",
    method: "post",
    data,
  });
}
